Skip to main content
GET
/
api
/
v1
/
cards
/
withdrawals
/
pending
List pending card withdrawals
curl --request GET \
  --url https://api.hevn.finance/api/v1/cards/withdrawals/pending \
  --header 'Authorization: Bearer <token>'
{
  "withdrawals": [
    {
      "accountAddress": "<string>",
      "tokenAddress": "<string>",
      "toAddress": "<string>",
      "amount": 123,
      "validAfter": "<string>",
      "hash": "<string>",
      "callData": "<string>"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Response

Successful Response

List of pending withdrawals for a user.

withdrawals
PendingWithdrawal · object[]
required
total
integer
required